Subject: x2goclient for windows 4.0.2.1+hotfix1+build2 gives error dialog "Connection failed Can not open file -"

From: Michael DePaulo <[email-masked]>
Date: Thu, 7 Aug 2014 23:28:24 -0400

package: x2goclient
version: 4.0.2.1+hotfix1+build2

Even though the only differences between X2Go Client for Windows
4.0.2.1+hotfix1 and 4.0.2.1+hotfix1+build2 are the versions of these 3
files, which are unmodified from upstream:
cygcrypto-1.0.0.dll
libeay32.dll
ssleay32.dll
(They were upgraded from openssl 1.0.1h to openssl 1.0.1i)
Much to my surprise, a regression was introduced.

When you I connect to an existing session or a new session, I now get
an error dialog with the following text in bold:
Connection failed
and  then the following text not in bold, separated by a space:
Can not open file -
The session still however opens. I haven't tested how well it works though.

Screenshot:
http://imgur.com/QJWeJGp

IIRC, I got this error in the past when I had not applied our patch to
cygwin openssh:
http://code.x2go.org/releases/source/openssh-cygwin/
Perhaps cygwin openssh needs to be rebuilt against the updated openssl?

Client:
Windows 8.1 64-bit with Update 1 and most updates installed (only 1
optional update not installed, KB2967917)
x2goclient version specified above

Server:
Ubuntu 14.04 64-bit with latest bugfix and security updates
MATE 1.8.0 from packages.mate-desktop.org repo
MATE session
x2goserver 4.0.1.15-0~847~ubuntu14.04.1
x2goserver-xsession 4.0.1.15-0~847~ubuntu14.04.1
x2ogoagent 2:3.5.0.27-0~446~ubuntu14.04.1
nxagent 2:3.5.0.27-0~446~ubuntu14.04.1